FreeBSD : python 2.7 -- multiple vulnerabilities (8719b935-8bae-41ad-92ba-3c826f651219)

High Nessus Plugin ID 109594

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

python release notes :

Multiple vulnerabilities has been fixed in this release. Please refer to the CVE list for details.

Solution

Update the affected package.

See Also

https://github.com/python/cpython/blob/2.7/Misc/NEWS.d/2.7.15rc1.rst

https://github.com/python/cpython/blob/2.7/Misc/NEWS.d/2.7.15.rst

http://www.nessus.org/u?45ca2ac1

Plugin Details

Severity: High

ID: 109594

File Name: freebsd_pkg_8719b9358bae41ad92ba3c826f651219.nasl

Version: 1.2

Type: local

Published: 2018/05/07

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:python27, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/05/05

Vulnerability Publication Date: 2018/05/01

Reference Information

CVE: CVE-2012-0876, CVE-2016-0718, CVE-2016-4472, CVE-2016-9063, CVE-2017-9233, CVE-2018-1060, CVE-2018-1061